notetitle = "高一上学期教案截至20230828" # 文件名, 也是文件标题
outputdir = "临时文件" # 输出文件夹, 不建议修改

from database_tools import *

preparationdict = load_dict("../备课组/26届/lessons.json")
pro_dict = load_dict("../题库0.3/problems.json")
obj_dict = load_dict("../题库0.3/LessonObj.json")
lessons_dict = load_dict("../题库0.3/LessonsCut.json")
basicknowledge_dict = load_dict("../题库0.3/BasicKnowledge.json")

GenerateLessonPreparation(notetitle, outputdir, preparationdict, pro_dict, obj_dict, basicknowledge_dict, homeworkspaces= True) 